#
#  FreeBSD/NetBSD/OpenBSD
#
CC=cc
CCFLAG=-fPIC
LDFLAG=
AR=ar r
RANLIB=ranlib
XINCLUDE=-I../xpm-3.4k/lib -I/usr/X11R6/include
SYSLIB=-L../xpm-3.4k/lib -lXpm -L/usr/X11R6/lib -lX11 -lm

# where the library should be installed

LIB_TOPDIR=$(PREFIX)

LIB_DIR=$(LIB_TOPDIR)/lib
LIBMODE=644

HEADER_DIR=$(LIB_TOPDIR)/include
HEADERMODE=644

BIN_DIR=$(LIB_TOPDIR)/bin
BINMODE=711

MAN5_DIR=$(LIB_TOPDIR)/man/man5
MAN1_DIR=$(LIB_TOPDIR)/man/man1
DOC_DIR=$(LIB_TOPDIR)/lib
MANMODE=644
# name and header of the library
FORMLIB=libforms.a
FORMHEADER=forms.h

# make shared lib: $(MKSHLIB) 
OBJFORMAT?=	`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
.if $(OBJFORMAT) == "elf"
SHARED_LIB=libxforms.so.0
SHARED_NAME=libxforms.so
MKSHLIB=ld -shared -soname $(SHARED_LIB) -o $(SHARED_LIB) \
       `ls *.o | grep -v gl.o` ulib/*.o ../xpm-3.4k/lib/libXpm.a
.else
SHARED_LIB=libforms.so.0.88
SHARED_NAME=libforms.so
MKSHLIB=ld -Bshareable -o $(SHARED_LIB) -Bforcearchive libforms.a\
       ../xpm-3.4g/lib/libXpm.a
.endif

LN=ln -fs
